import { NgModule } from "@angular/core";
import { FormsModule } from "@angular/forms";
import { BrowserModule } from "@angular/platform-browser";
import { BrowserAnimationsModule } from "@angular/platform-browser/animations";
import { AppComponent } from "./app.component";
import { IgxIconModule } from "igniteui-angular";
import { SvgIconSampleComponent } from "./svg-icon-sample/svg-icon-sample.component";
import { FontAwesomeModule } from '@fortawesome/angular-fontawesome';

@NgModule({
    bootstrap: [AppComponent],
    declarations: [
        AppComponent,
        SvgIconSampleComponent
    ],
    imports: [
        BrowserModule,
        BrowserAnimationsModule,
        FormsModule,
        IgxIconModule,
        FontAwesomeModule,
    ],
    providers: [],
    entryComponents: []
})
export class AppModule { }
